## postgresql-common 211

=== debian/changelog ===
postgresql-common (211) unstable; urgency=medium

  [ Dagfinn Ilmari Mannsåker ]
  * pg_createcluster, pg_updatedicts: Enable strict and warnings.

 -- Christoph Berg <myon@debian.org>  Mon, 27 Jan 2020 14:57:59 +0100

postgresql-common (210) unstable; urgency=medium

  * pg_ctlcluster: Drop privileges before creating socket and stats temp
    directories outside /var/run/postgresql. The default configuration is not
    affected by this change. Users with directories on volatile storage
    (tmpfs) in other locations have to make sure the parent directory is
    writable for the cluster owner. (CVE-2019-3466, discovered by Rich Mirch)

 -- Christoph Berg <myon@debian.org>  Thu, 14 Nov 2019 13:23:42 +0100

postgresql-common (209) unstable; urgency=medium

  * pg_buildext: Fix installcheck for packages that don't have
    debian/control.in (pg-sphere).
  * PgCommon.pm cluster_info: Recognize standby.signal and recovery.signal for
    PG12 clusters instead of recovery.conf.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Nov 2019 15:09:18 +0100

postgresql-common (208) unstable; urgency=medium

  [ Christoph Berg ]
  * gitlab/gitlab-ci.yml: Too many packages fail because reprotest runs the
    build as root, disable for now.
  * README.Debian: Redirect reference to architecture.html to README.md.gz.
    (Closes: #942021)
  * README.Devel: Remove, bzr is long obsolete.
  * Remove dependency on dctrl-tools; rewrite control file updating in perl.
    As a side effect, generated debian/control files will no longer have a
    trailing empty line. Die if no supported versions were found.
  * pg_upgradecluster: Accept -m link and -m clone for simplicity.
  * debian/supported-versions: Add 12 as default version and for Ubuntu 20.04.
  * pg_createcluster: Add note on security implications of using --auth-host
    and --auth-local.
  * postgresql-all: Don't depend on postgresql-plpython-12, it doesn't exist.
  * pg_buildext: New action "installed-versions" reporting the list of
    PostgreSQL major versions used by packages built from a source package.
  * pg_buildext: "installcheck" uses "installed-versions" now.

  [ Tilman Koschnick ]
  * pg_upgradecluster: Support passing --clone to pg_upgrade.
    (Closes: #942307)

 -- Christoph Berg <myon@debian.org>  Mon, 28 Oct 2019 15:04:12 +0100

postgresql-common (207) unstable; urgency=medium

  * PgCommon.pm: Fix infinite recursion in get_program_path if
    /usr/lib/postgresql/ contains a non-version directory.
    Patch by ITANI Eiichiro, thanks! (Closes: #940220)

 -- Christoph Berg <myon@debian.org>  Fri, 20 Sep 2019 14:24:23 +0200

postgresql-common (206) unstable; urgency=medium

  * pg_ctlcluster, pg_upgradecluster: Always use latest psql.
  * t/135_pg_virtualenv.t: Run pg_virtualenv on all versions.
  * gitlab/gitlab-ci.yml: Include salsa-ci pipeline instead of our own.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Sep 2019 15:49:10 +0200

postgresql-common (205) unstable; urgency=medium

  * Disable plpython2 packages by default. (Closes: #937310)
  * testsuite: Prefer PgCommon.pm from current directory.
  * pgcommon.sh: Remove obsolete Ubuntu code in locale_gen function.
  * Drop lsb-release dependencies, we prefer /etc/os-release anyway.
  * apt.postgresql.org.sh: Parse VERSION_CODENAME in /etc/os-release.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Sep 2019 08:38:08 +0200
