=== dh_make_pgxs/debian/watch ===
#version=4
#https://github.com/@SOURCE@/@SOURCE@/releases .*/v(.*).tar.gz
