## postgresql-common 214ubuntu0.1

=== debian/changelog ===
postgresql-common (214ubuntu0.1) focal-security; urgency=medium

  [ Christoph Berg ]
  * t/170_extensions.t: Don't drop plpgsql before testing extensions.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 24 Aug 2020 10:41:25 +0200
