## postgresql-common 214ubuntu0.1+10.0trisquel1

=== debian/changelog ===
postgresql-common (214ubuntu0.1+10.0trisquel1) nabia-security; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 21 Sep 2021 15:16:59 +0000
