## postgresql-common 225

=== debian/changelog ===
postgresql-common (225) unstable; urgency=medium

  * pg_lsclusters, cluster_info: Show cluster managed by pacemaker or patroni.
  * pg_ctlcluster: Fix "use systemctl instead" context.
  * pg_createcluster: In 14+, use initdb --no-instructions.
  * pg_upgradecluster: Deprecate password_encryption as boolean in 14.
  * t: Accept changed connection error messages from libpq 14.

 -- Christoph Berg <myon@debian.org>  Tue, 02 Feb 2021 15:40:25 +0100

postgresql-common (224) unstable; urgency=medium

  * pg_wrapper, PgCommon: When looking for the newest version, consider the
    name of the binary (psql, postgres) asked for.
  * pg_buildext: Fix typo in the psql/virtualenv exit code handling.
  * pg_ctlcluster: Fix starting of md5-only clusters on 8.2/8.3.
  * t/025_logging.t: Sleep a bit for the log tests to make test more stable.
  * postgresqlrc.5, user_clusters.5: Mention file locations more prominently.
  * pg_upgradecluster: Deprecate operator_precedence_warning in PG14.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Jan 2021 16:23:51 +0100

postgresql-common (223) unstable; urgency=medium

  * pg_ctlcluster: Refuse to start root-owned clusters with a sensible error
    message.
  * pgdg/apt.postgresql.org.sh: Add groovy, remove archived distributions.

 -- Christoph Berg <myon@debian.org>  Thu, 12 Nov 2020 12:37:57 +0100

postgresql-common (222) unstable; urgency=medium

  [ Michael Banck ]
  * pg_upgradecluster: set max_wal_senders along with wal_level in ugprade
    mode.

  [ Christoph Berg ]
  * Drop t/003_package_checks.t, psql can be linked with readline now.
    http://meetbot.debian.net/debian-ftp/2020/debian-ftp.2020-03-13-20.02.html
  * Remove PostgreSQL 13 transition Breaks, problems were testsuite-only.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Oct 2020 11:46:34 +0100

postgresql-common (221) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_virtualenv: Skip build-time package tests if the PG server is missing
    extension_destdir support.
  * Test-depend on debhelper for the pg_buildext tests.
  * Skip pg_buildext tests when invoked from postgresql-NN server tests.
  * dh_make_pgxs: Support running with older debhelper versions.
  * pgdg/apt.postgresql.org.sh: Bump devel version to 14, thanks to Aaron
    Pavely for spotting!
  * pg_updateaptconfig: Fix not to emit duplicated version entries.
  * Add Breaks on regressing packages with the move to PG13.

  [ Dominik George ]
  * pg_buildext: Fail late on builds and tests to logs for all versions.

 -- Christoph Berg <myon@debian.org>  Tue, 13 Oct 2020 23:27:27 +0200

postgresql-common (220) unstable; urgency=medium

  * dh_make_pgxs: Use dh --with pgxs in template.
  * dh_make_pgxs: Add `R³: no` to control.in template.
  * debhelper: Use dpkg_architecture_value() instead of hostarch() because
    Dh_Lib.pm on stretch and xenial doesn't have the latter yet.
  * Add t/190_pg_buildext.t covering pg_buildext and debhelper integration.

 -- Christoph Berg <myon@debian.org>  Mon, 12 Oct 2020 23:21:52 +0200

postgresql-common (219) unstable; urgency=medium

  * postgresql-server-dev-all: Depend on strict postgresql-common version.
  * pg_virtualenv: Export PGVERSION with the PostgreSQL major version.
  * pg_virtualenv: Add -p option to set extension_destdir.
  * pg_buildext: Add "virtualenv" action that loops over shells for testing.
  * pg_buildext: Fix "installed-versions" for empty package name suffixes.
  * pg_buildext: Don't update debian/control if debian/control.in is missing.
  * Move dh_pgxs_test after dh_link so we have the links in the install trees.
  * Skip invoking dh_pgxs_test if nocheck is set, or when on hurd-i386.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 23:26:00 +0200

postgresql-common (218) unstable; urgency=medium

  * pg_buildext installcheck: Set DESTDIR during build-time tests.
  * pg_buildext clean: Do not assume Makefile to be present. (Closes: #971517)

 -- Christoph Berg <myon@debian.org>  Fri, 02 Oct 2020 12:49:44 +0200

postgresql-common (217) unstable; urgency=medium

  * Set PostgreSQL 13 as default version.
  * pg_upgradecluster: Rename wal_keep_segments to wal_keep_size on upgrades
    to PG 13.
  * pg_createcluster: Add option --quiet to suppress initdb output and make
    pg_virtualenv use it.
  * pg_createcluster: Allow -o --pgoption to override createcluster.conf
    settings.
  * t/060_obsolete_confparams.t: Generate full config files dynamically.
  * dh_make_pgxs: Use current debhelper version instead of the oldest one,
    support setting homepage, general template copy-editing.
  * Implement extension building as `dh $@ --with pgxs` and pgxs_loop, backed
    by `--buildsystem=pgxs` and pgxs_loop. We also run `make installcheck` at
    extension build time now via dh_pgxs_test and our PostgreSQL
    extension_destdir patch. Previously extensions could only be tested at
    runtime via autopkgtest.
  * pg_buildext loop: Clean after building instead of before.
  * Add `pg_buildext psql` action for extensions that use psql for testing.
  * Drop the PG major prefix from postgresql-all version number so extensions
    can declare sensible versioned dependencies on it.
  * Updated it debconf translation by Luca Monducci, thanks! (Closes: #969220)

 -- Christoph Berg <myon@debian.org>  Wed, 30 Sep 2020 21:54:23 +0200
