=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
 Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
@@ -83,7 +83,7 @@
 Architecture: all
 Depends:
  make,
- postgresql-common (>= 117~),
+ postgresql-common (= ${source:Version}),
  ${misc:Depends},
  ${server-dev-all-depends},
 Description: extension build tool for multiple PostgreSQL versions
@@ -177,6 +177,7 @@
 Depends:
  libecpg-dev,
  libpq-dev,
+ postgresql-common (= ${source:Version}),
  postgresql-server-dev-all,
  ${postgresql-all-depends},
  ${misc:Depends},
