## postgresql-common 225ubuntu1

=== debian/changelog ===
postgresql-common (225ubuntu1) hirsute; urgency=medium

  * d/postinst: Only add postgres to group ssl-cert if it isn't
    already a member of that group.
    (LP: #1690432)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 25 Feb 2021 16:21:44 -0800
