=== debian/changelog ===
postgresql-common (225+deb11u1) bullseye; urgency=medium

  * t/085_pg_ctl.conf.t: sudo and salsa-ci set the core file size hard limit
    to 0 by default, undo that. (Salsa: postgresql/postgresql#2)
  * testsuite: Run all tests even when one is failing.

 -- Christoph Berg <myon@debian.org>  Mon, 02 Oct 2023 10:20:47 +0200
