## postgresql-common 225+deb11u1pureos2

=== debian/changelog ===
postgresql-common (225+deb11u1pureos2) byzantium; urgency=medium

  * Fix the supported-version detection on PureOS

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 01 Nov 2024 03:41:43 +0100

postgresql-common (225+deb11u1pureos1) byzantium; urgency=medium

  * Sync with Debian bullseye, remaining changes:
    - detect PureOS releases, similar to Debian testing/unstable

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Fri, 01 Nov 2024 03:28:22 +0100

postgresql-common (225pureos1) byzantium; urgency=medium

  [ Jonas Smedegaard ]
  * fork for PureOS:
    + set PureOS Maintainers as maintainer,
      leaving original as XSBC-Original-Maintainer
    + drop uploaders (unused by PureOS Maintainers)
    + replace Vcs-* fields
    + add git-buildpackage config
    + Add README.source.
  * detect PureOS releases, similar to Debian testing/unstable;
    closes: PureOS:261

 -- Jonas Smedegaard <jonas.smedegaard@puri.sm>  Tue, 09 Mar 2021 21:46:30 +0100
