## postgresql-common 226

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,12 @@
 POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
-POD1PROGS = pg_conftool.1 \
+POD1PROGS = pg_backupcluster.1 \
+	    pg_conftool.1 \
 	    pg_createcluster.1 \
 	    pg_ctlcluster.1 \
 	    pg_dropcluster.1 \
 	    pg_lsclusters.1 \
 	    pg_renamecluster.1 \
+	    pg_restorecluster.1 \
 	    pg_upgradecluster.1 \
 	    pg_wrapper.1
 POD1PROGS_POD = pg_buildext.1 \
@@ -43,6 +45,7 @@
 	git archive --prefix=postgresql-common-$(DPKG_VERSION)/ HEAD | xz > $(TARBALL)
 
 rpminstall:
+	sudo yum install -y perl-JSON
 	sudo rpm --upgrade --replacefiles --replacepkgs -v $(RPMDIR)/RPMS/noarch/*-$(DPKG_VERSION)-*.rpm
 
 rpmremove:
