=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Uploaders:
+ Martin Pitt <mpitt@debian.org>,
+ Christoph Berg <myon@debian.org>,
+ Peter Eisentraut <petere@debian.org>,
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
  debhelper (>= 9),
  debhelper (>= 10.1) | dh-systemd (>= 1.19),
  libreadline-dev,
-Vcs-Git: https://source.puri.sm/pureos/packages/postgresql-common.git
-Vcs-Browser: https://source.puri.sm/pureos/packages/postgresql-common
 
 Package: postgresql-common
 Architecture: all
@@ -18,6 +21,7 @@
 Depends:
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,
+ libjson-perl,
  lsb-base (>= 3.0-3),
  perl (>= 5.14),
  postgresql-client-common (= ${source:Version}),
@@ -27,8 +31,6 @@
 Recommends:
  e2fsprogs,
  logrotate,
-Suggests:
- libjson-perl,
 Breaks:
  postgresql-9.1 (<< 9.1.1-3~),
  systemd (<< 204),
