## postgresql-common 226.pgdg110%2B1

=== debian/changelog ===
postgresql-common (226.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 12 May 2021 17:16:38 +0200
