## postgresql-common 232

=== debian/changelog ===
postgresql-common (232-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.
  * source/format to quilt.
  * Rename upstream tarball to include .orig.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 24 Nov 2021 10:52:51 -0500

postgresql-common (232) unstable; urgency=medium

  * pg_backupcluster: Preserve wal file timestamps with compresswal.
  * t/006_next_free_port.t: Sleep longer after nc startup.
  * t/020_create_sql_remove.t: Sleep a bit after stopping clusters to
    hopefully fix a race condition seen on ci.debian.net.
  * t/180_ecpg.t: Print error messages to console.
  * dh_make_pgxs/debian/watch: Look at tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Nov 2021 17:17:49 +0100

postgresql-common (231) unstable; urgency=medium

  * supported-versions: Set PG 14 as default.
  * pg_createcluster: Avoid "auth is trust" initdb warning on pre-9.2 servers.

 -- Christoph Berg <myon@debian.org>  Thu, 30 Sep 2021 13:12:36 +0200

postgresql-common (230) unstable; urgency=medium

  * dh_installinit, dh_installsystemd: Use --no-start to prevent all actions
    on postgresql.service at postgresql-common install/upgrade time.
  * t/012_maintscripts.t: Compare pid files instead of using ps.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Sep 2021 13:15:59 +0200

postgresql-common (229) unstable; urgency=medium

  * postgresql-common.maintscript: We mistakenly tried to remove
    /etc/apt/apt.conf.d/01autoremove instead of 01autoremove-postgresql.
    Fix, and bump version to retry the removal.
  * pg_updateaptconfig: Switch to 02autoremove-postgresql since dpkg 1.20.6's
    new built-in remove-conffile-on-upgrade logic doesn't like the file
    reappearing as non-conffile.
  * pg_createcluster: Add --no-status option for suppressing status message.
  * pg_createcluster: Use scram-sha-256 by default in PG14+.
  * t/020_create_sql_remove.t: Check pg_hba.conf auth methods.
  * pg_upgradecluster: Migrate old files to new cluster before upgrading.
  * pg_wrapper: Skip LD_PRELOAD logic in PG13+.
  * postgresql-client-common: Stop recommending libreadline.
  * postgresql-server-dev-all: Mark dependency on make as :any.
  * Depend on ${perl:Depends}.
  * dh_installsystemd: Use -r to prevent restarting postgresql.service.
  * t/012_maintscripts.t: New maintainer scripts test.
  * pgdg/apt.postgresql.org.sh: Try /etc/os-release first and add some
    precautionary checks to the other methods.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Sep 2021 21:43:00 +0200

postgresql-common (228) unstable; urgency=medium

  * postgresql-server-dev-all: Move to Arch: any, M-A: same to allow
    cross-compiling.
  * pg_buildext.pod: Use `B-D: postgresql-all <!nocheck>` in example.
  * Update doc/dependencies.* and install as .svg.
  * pg_virtualenv, postgresql-common.postrm: Use `command -v` instead of
    deprecated `which`.
  * Upgrade to debhelper 13; packaging still compatible with DH10 in stretch.
  * Add ${misc:Pre-Depends} to postgresql-common.
  * Install pg_backupcluster.1, pg_restorecluster.1, and pg_getwal.1 manpages.
  * Remove /etc/sysctl.d/30-postgresql-shm.conf, obsolete with current
    kernels and PG versions.

 -- Christoph Berg <myon@debian.org>  Thu, 16 Sep 2021 18:44:15 +0200

postgresql-common (227) unstable; urgency=medium

  * pgdg/apt.postgresql.org.sh, t/020_create_sql_remove.t: Support PG15.
  * pgxs.pm: Enable tests on hurd, it can run PostgreSQL now.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Aug 2021 17:33:54 +0200
