=== debian/control ===
--- 
+++ 
@@ -1,39 +1,38 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Martin Pitt <mpitt@debian.org>,
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
- debhelper (>= 9),
- debhelper (>= 10.1) | dh-systemd (>= 1.19),
- libreadline-dev,
+ debhelper-compat (= 13),
 
 Package: postgresql-common
 Architecture: all
 Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,
  libjson-perl,
  lsb-base (>= 3.0-3),
- perl (>= 5.14),
  postgresql-client-common (= ${source:Version}),
  ssl-cert (>= 1.0.11),
  ucf,
  ${misc:Depends},
+ ${perl:Depends},
 Recommends:
  e2fsprogs,
  logrotate,
 Breaks:
  postgresql-9.1 (<< 9.1.1-3~),
- systemd (<< 204),
 # pg_buildext moved pg-s-d-all in 204
  postgresql-server-dev-all (<< 204),
 Replaces:
@@ -60,9 +59,8 @@
 Depends:
  netbase,
  ${misc:Depends},
+ ${perl:Depends},
  ${pgdg:Depends},
-Recommends:
- ${readline:Recommends},
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
  multiple versions of PostgreSQL client programs may be installed at
@@ -79,9 +77,10 @@
  and functions.
 
 Package: postgresql-server-dev-all
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends:
- make,
+ make:any,
  postgresql-common (= ${source:Version}),
  ${misc:Depends},
  ${server-dev-all-depends},
