## postgresql-common 232.pgdg110%2B1

=== debian/changelog ===
postgresql-common (232.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 11 Nov 2021 17:17:49 +0100
