## postgresql-common 238

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	    pg_createcluster.1 \
 	    pg_ctlcluster.1 \
 	    pg_dropcluster.1 \
+	    pg_getwal.1 \
 	    pg_lsclusters.1 \
 	    pg_renamecluster.1 \
 	    pg_restorecluster.1 \
@@ -35,14 +36,19 @@
 
 DPKG_VERSION=$(shell sed -ne '1s/.*(//; 1s/).*//p' debian/changelog)
 RPMDIR=$(CURDIR)/rpm
-TARBALL=$(RPMDIR)/SOURCES/postgresql-common_$(DPKG_VERSION).tar.xz
+TARNAME=postgresql-common_$(DPKG_VERSION).tar.xz
+TARBALL=$(RPMDIR)/SOURCES/$(TARNAME)
 
 rpmbuild: $(TARBALL)
 	rpmbuild -D"%_topdir $(RPMDIR)" --define='version $(DPKG_VERSION)' -ba rpm/postgresql-common.spec
 
 $(TARBALL):
 	mkdir -p $(dir $(TARBALL))
-	git archive --prefix=postgresql-common-$(DPKG_VERSION)/ HEAD | xz > $(TARBALL)
+	if test -f ../$(TARNAME); then \
+	    cp -v ../$(TARNAME) $(TARBALL); \
+	else \
+	    git archive --prefix=postgresql-common-$(DPKG_VERSION)/ HEAD | xz > $(TARBALL); \
+	fi
 
 rpminstall:
 	sudo yum install -y perl-JSON
@@ -52,4 +58,4 @@
 	-sudo rpm -e postgresql-common postgresql-client-common postgresql-server-dev-all
 
 rpmclean:
-	rm -rf $(TARBALL) $(RPMDIR)/BUILD
+	rm -rf $(RPMDIR)/*/
