=== debian/changelog ===
postgresql-common (238) unstable; urgency=medium

  * pg_restorecluster: Correctly detect errors on restore.
  * pg_restorecluster: Support uncompressed backups and bz2/xz compression.
  * supported-versions: Unsupport PG 9.6 for apt.postgresql.org.
  * t/180_ecpg.t: Enable debug output and run program in pg_virtualenv.

 -- Christoph Berg <myon@debian.org>  Thu, 10 Feb 2022 11:02:57 +0100

postgresql-common (237) unstable; urgency=medium

  * postgresql.mk: Mute dpkg error on empty version fields in debian/control.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 11:44:42 +0100

postgresql-common (236) unstable; urgency=medium

  * pg_buildext: Generate postgresql:Depends substvar and depend on
    postgresql-$version-jit-llvm (>= $llvm_version).

 -- Christoph Berg <myon@debian.org>  Mon, 03 Jan 2022 16:19:56 +0100

postgresql-common (235) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * server/postgresql.mk: avoid gcc 11 ICE on armhf and armel.

 -- Christoph Berg <myon@debian.org>  Mon, 20 Dec 2021 18:13:44 +0100

postgresql-common (234) unstable; urgency=medium

  * server/postgresql.mk: Fix OS detection in override_dh_auto_test.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Dec 2021 10:51:35 +0100

postgresql-common (233) unstable; urgency=medium

  * pg_virtualenv.1: Document -p and extension_destdir.
  * server: Centralize server packages debian/rules logic here.

 -- Christoph Berg <myon@debian.org>  Fri, 03 Dec 2021 09:50:31 +0100
